Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.ehbox.consultation.protocol.v3
Class GetFullMessageResponse

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v1.ResponseType
          be.fgov.ehealth.ehbox.consultation.protocol.v3.GetFullMessageResponse

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-09-20T05:30:29+02:00",
               comments="JAXB RI v2.2.11")
    public class GetFullMessageResponse

extends ResponseType
implements Serializable

Java class for GetFullMessageResponseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GetFullMessageResponseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v1}ResponseType">
           <sequence minOccurs="0">
             <element name="Sender" type="{urn:be:fgov:ehealth:ehbox:core:v3}SenderType"/>
             <element name="Message" type="{urn:be:fgov:ehealth:ehbox:consultation:protocol:v3}ConsultationMessageType"/>
             <element name="MessageInfo" type="{urn:be:fgov:ehealth:ehbox:core:v3}MessageInfoType"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`GetFullMessageResponse()`

Method Summary
`ConsultationMessageType` | `getMessage()` Gets the value of the message property.
`MessageInfoType` | `getMessageInfo()` Gets the value of the messageInfo property.
`SenderType` | `getSender()` Gets the value of the sender property.
`void` | `setMessage(ConsultationMessageType value)` Sets the value of the message property.
`void` | `setMessageInfo(MessageInfoType value)` Sets the value of the messageInfo property.
`void` | `setSender(SenderType value)` Sets the value of the sender property.

Methods inherited from class be.fgov.ehealth.commons.protocol.v1.ResponseType
`getId, getStatus, setId, setStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetFullMessageResponse

    public GetFullMessageResponse()

Method Detail

### getSender

    public SenderType getSender()

  Gets the value of the sender property.

  Returns:
    possible object is `SenderType`

### setSender

    public void setSender(SenderType value)

  Sets the value of the sender property.

  Parameters:
    `value` - allowed object is `SenderType`

### getMessage

    public ConsultationMessageType getMessage()

  Gets the value of the message property.

  Returns:
    possible object is `ConsultationMessageType`

### setMessage

    public void setMessage(ConsultationMessageType value)

  Sets the value of the message property.

  Parameters:
    `value` - allowed object is `ConsultationMessageType`

### getMessageInfo

    public MessageInfoType getMessageInfo()

  Gets the value of the messageInfo property.

  Returns:
    possible object is `MessageInfoType`

### setMessageInfo

    public void setMessageInfo(MessageInfoType value)

  Sets the value of the messageInfo property.

  Parameters:
    `value` - allowed object is `MessageInfoType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.16.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.